| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Num.IRealFunctionParametric Interface Reference

Parameterized real-valued functions of single variable. More...

Inheritance diagram for IG.Num.IRealFunctionParametric:
[legend]
Collaboration diagram for IG.Num.IRealFunctionParametric:
[legend]

## Public Member Functions
double[] | GetParameters ()
| Returns parameters of the current parametric function as an array. More...
void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array. More...
double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function. More...
void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function. More...
Public Member Functions inherited from IG.Num.IRealFunction
double | Value (double x)
| Returns the value of this function at the specified parameter. More...
double | Derivative (double x)
| Returns the first derivative of this function at the specified parameter. More...
double | Derivative (double x, int order)
| Returns the derivative of the given order of this function at the specified parameter. More...
bool | HigherDerivativeDefined (int order)
| Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically) More...
double | SecondDerivative (double x)
| Returns the second derivative of the given order of this function at the specified arameter. More...
double | Integral (double x)
| Returns integral from 0 to x of the function. Throws an exception if the integral is not defined. More...
double | Inverse (double y)
| Returns Inverse of the current function applied to function argument. Throws an exception if the inverse function is not defined. More...
void | Tabulate (double from, double to, int numPoints)
| Tabulates the current function and its first and second derivatives (when available) on the specified interval, in the specified number of points. More...
void | Tabulate (double from, double to, int numPoints, bool printDerivatives)
| Tabulates the current function and its first and eventually second derivatives (when available) on the specified interval, in the specified number of points. More...
void | Tabulate (double from, double to, int numPoints, bool printDerivatives, bool printSecondDerivatives)
| Tabulates the current function and eventually its first and second derivatives (when available) on the specified interval, in the specified number of points. More...
double | NumericalIntegral (double from, double to, int numintervals)
| Calculates numerical integral of this function. Simpson's formula is usually used. More...
double | NumericalDerivative (double x, double stepsize)
| Calculates numerical derivative of this function. Central difference formula is used. More...
double | NumericalSecondDerivative (double x, double stepsize)
| Calculates numerical second order derivative of this function. Central difference formula is used. More...

## Properties
IVector | Parameters`[get, set]`
| Parameters that define the specific function out of parametric familiy of functions. More...
int | NumParameters`[get]`
| Gets number of parameters that define the specific function out of parametric family of functions. More...
Properties inherited from IG.Num.IRealFunction
string | Name`[get]`
| Returns a short name of the function. More...
string | Description`[get]`
| Returns a short description of the function. More...
bool | ValueDefined`[get]`
| Tells whether value of the function is defined by implementation. More...
bool | DerivativeDefined`[get]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically) More...
bool | SecondDerivativeDefined`[get]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically) More...
bool | IntegralDefined`[get]`
| Tells whether analytical itegral of the function is defined or not. More...
bool | InverseDefined`[get]`
| Tells whether analytical inverse function is defined or not. More...

## Detailed Description

Parameterized real-valued functions of single variable.

$A Igor Dec10;

## Member Function Documentation

double [] IG.Num.IRealFunctionParametric.GetParameters | ( |  | ) |

Returns parameters of the current parametric function as an array.

Usually, implementations use vector as natural representation of parameters, therefore this function creates an array and copies values.

Implemented in IG.Num.RealFunctionParametricBase, and IG.Num.RealFunctionOneParametric.

void IG.Num.IRealFunctionParametric.SetParameters | ( | double[] | parameters | ) |

Sets parameters of the current parametric functions, where parameters are specified as array.

Parameters

  parameters | Array of parameters. Array length must correspond to actual number of parameters.

Implemented in IG.Num.RealFunctionParametricBase, and IG.Num.RealFunctionOneParametric.

double IG.Num.IRealFunctionParametric.GetParameter | ( | int | which | ) |

Returns value of the specified parameter of the parameterized function.

Parameters

  which | Specifies which parameter is returned.

Implemented in IG.Num.RealFunctionParametricBase, and IG.Num.RealFunctionOneParametric.

void IG.Num.IRealFunctionParametric.SetParameter | ( | int | which,
|  | double | value
| ) |  |

Sets the specific parameters of the parameterized function.

Parameters

  which | Specifies which parameter is set.
  value | Value of the specified parameter.

Implemented in IG.Num.RealFunctionParametricBase, and IG.Num.RealFunctionOneParametric.

## Property Documentation

IVector IG.Num.IRealFunctionParametric.Parameters
| get set

Parameters that define the specific function out of parametric familiy of functions.

int IG.Num.IRealFunctionParametric.NumParameters
| get

Gets number of parameters that define the specific function out of parametric family of functions.

The documentation for this interface was generated from the following file:

- igbase/numeric/FunctionRealParametric.cs